Package org.apache.batchee.container.services.persistence.jdbc

## Interface Dictionary.SQL

- Enclosing class:
    Dictionary

      public static interface Dictionary.SQL

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String[]` | `CHECKPOINT_COLUMNS` |
    `static String` | `CREATE_CHECKPOINT` |
    `static String` | `CREATE_JOB_EXECUTION` |
    `static String` | `CREATE_JOB_INSTANCE` |
    `static String` | `CREATE_STEP_EXECUTION` |
    `static String` | `CREATE_TABLE` |
    `static String` | `DELETE` |
    `static String` | `DELETE_CHECKPOINT` |
    `static String` | `DELETE_CHECKPOINT_UNTIL` |
    `static String` | `DELETE_JOB_EXECUTION` |
    `static String` | `DELETE_JOB_EXECUTION_UNTIL` |
    `static String` | `DELETE_JOB_INSTANCE` |
    `static String` | `DELETE_JOB_INSTANCE_UNTIL` |
    `static String` | `DELETE_STEP_EXECUTION` |
    `static String` | `DELETE_STEP_EXECUTION_UNTIL` |
    `static String` | `EXTERNAL_JOB_INSTANCE` |
    `static String` | `FROM` |
    `static String` | `INSERT_CHECKPOINT` |
    `static String` | `INSERT_INTO` |
    `static String` | `JOB_EXECUTION_BATCH_STATUS` |
    `static String[]` | `JOB_EXECUTION_COLUMNS` |
    `static String` | `JOB_EXECUTION_CREATE` |
    `static String` | `JOB_EXECUTION_EXIT_STATUS` |
    `static String` | `JOB_EXECUTION_FIND_BY_ID` |
    `static String` | `JOB_EXECUTION_FROM_INSTANCE` |
    `static String` | `JOB_EXECUTION_MOST_RECENT` |
    `static String` | `JOB_EXECUTION_PROPERTIES` |
    `static String` | `JOB_EXECUTION_RUNNING` |
    `static String` | `JOB_EXECUTION_SET_FINAL_DATA` |
    `static String` | `JOB_EXECUTION_START` |
    `static String` | `JOB_EXECUTION_TIMESTAMPS` |
    `static String` | `JOB_EXECUTION_UPDATE` |
    `static String` | `JOB_INSTANCE_BY_ID` |
    `static String[]` | `JOB_INSTANCE_COLUMNS` |
    `static String` | `JOB_INSTANCE_COUNT_FROM_NAME` |
    `static String` | `JOB_INSTANCE_CREATE` |
    `static String` | `JOB_INSTANCE_CREATE_WITH_JOB_XML` |
    `static String` | `JOB_INSTANCE_FROM_EXECUTION` |
    `static String` | `JOB_INSTANCE_IDS` |
    `static String` | `JOB_INSTANCE_IDS_FROM_NAME` |
    `static String` | `JOB_INSTANCE_STATUS` |
    `static String` | `JOB_INSTANCE_UPDATE_STATUS` |
    `static String` | `JOB_NAMES` |
    `static String` | `SELECT` |
    `static String` | `SELECT_CHECKPOINT` |
    `static String` | `STEP_EXECUTION_BY_INSTANCE_AND_STEP` |
    `static String[]` | `STEP_EXECUTION_COLUMNS` |
    `static String` | `STEP_EXECUTION_CREATE` |
    `static String` | `STEP_EXECUTION_UPDATE` |
    `static String` | `STEP_EXECUTION_UPDATE_STATUS` |
    `static String` | `STEP_FROM_ID` |
    `static String` | `STEPS_FROM_EXECUTION` |
    `static String` | `UPDATE` |
    `static String` | `UPDATE_CHECKPOINT` |
    `static String` | `WHERE` |

- - ### Field Detail

    - #### CREATE_TABLE

          static final String CREATE_TABLE

      See Also:
        Constant Field Values

    - #### INSERT_INTO

          static final String INSERT_INTO

      See Also:
        Constant Field Values

    - #### SELECT

          static final String SELECT

      See Also:
        Constant Field Values

    - #### FROM

          static final String FROM

      See Also:
        Constant Field Values

    - #### UPDATE

          static final String UPDATE

      See Also:
        Constant Field Values

    - #### WHERE

          static final String WHERE

      See Also:
        Constant Field Values

    - #### DELETE

          static final String DELETE

      See Also:
        Constant Field Values

    - #### CHECKPOINT_COLUMNS

          static final String[] CHECKPOINT_COLUMNS

    - #### CREATE_CHECKPOINT

          static final String CREATE_CHECKPOINT

      See Also:
        Constant Field Values

    - #### INSERT_CHECKPOINT

          static final String INSERT_CHECKPOINT

      See Also:
        Constant Field Values

    - #### SELECT_CHECKPOINT

          static final String SELECT_CHECKPOINT

      See Also:
        Constant Field Values

    - #### UPDATE_CHECKPOINT

          static final String UPDATE_CHECKPOINT

      See Also:
        Constant Field Values

    - #### DELETE_CHECKPOINT

          static final String DELETE_CHECKPOINT

      See Also:
        Constant Field Values

    - #### DELETE_CHECKPOINT_UNTIL

          static final String DELETE_CHECKPOINT_UNTIL

      See Also:
        Constant Field Values

    - #### JOB_INSTANCE_COLUMNS

          static final String[] JOB_INSTANCE_COLUMNS

    - #### CREATE_JOB_INSTANCE

          static final String CREATE_JOB_INSTANCE

      See Also:
        Constant Field Values

    - #### JOB_INSTANCE_COUNT_FROM_NAME

          static final String JOB_INSTANCE_COUNT_FROM_NAME

      See Also:
        Constant Field Values

    - #### JOB_INSTANCE_BY_ID

          static final String JOB_INSTANCE_BY_ID

      See Also:
        Constant Field Values

    - #### JOB_INSTANCE_UPDATE_STATUS

          static final String JOB_INSTANCE_UPDATE_STATUS

      See Also:
        Constant Field Values

    - #### JOB_INSTANCE_IDS

          static final String JOB_INSTANCE_IDS

      See Also:
        Constant Field Values

    - #### JOB_INSTANCE_IDS_FROM_NAME

          static final String JOB_INSTANCE_IDS_FROM_NAME

      See Also:
        Constant Field Values

    - #### JOB_NAMES

          static final String JOB_NAMES

      See Also:
        Constant Field Values

    - #### EXTERNAL_JOB_INSTANCE

          static final String EXTERNAL_JOB_INSTANCE

      See Also:
        Constant Field Values

    - #### JOB_INSTANCE_CREATE

          static final String JOB_INSTANCE_CREATE

      See Also:
        Constant Field Values

    - #### JOB_INSTANCE_CREATE_WITH_JOB_XML

          static final String JOB_INSTANCE_CREATE_WITH_JOB_XML

      See Also:
        Constant Field Values

    - #### DELETE_JOB_INSTANCE

          static final String DELETE_JOB_INSTANCE

      See Also:
        Constant Field Values

    - #### DELETE_JOB_INSTANCE_UNTIL

          static final String DELETE_JOB_INSTANCE_UNTIL

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_COLUMNS

          static final String[] JOB_EXECUTION_COLUMNS

    - #### CREATE_JOB_EXECUTION

          static final String CREATE_JOB_EXECUTION

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_TIMESTAMPS

          static final String JOB_EXECUTION_TIMESTAMPS

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_BATCH_STATUS

          static final String JOB_EXECUTION_BATCH_STATUS

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_EXIT_STATUS

          static final String JOB_EXECUTION_EXIT_STATUS

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_PROPERTIES

          static final String JOB_EXECUTION_PROPERTIES

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_UPDATE

          static final String JOB_EXECUTION_UPDATE

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_SET_FINAL_DATA

          static final String JOB_EXECUTION_SET_FINAL_DATA

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_START

          static final String JOB_EXECUTION_START

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_FIND_BY_ID

          static final String JOB_EXECUTION_FIND_BY_ID

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_FROM_INSTANCE

          static final String JOB_EXECUTION_FROM_INSTANCE

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_RUNNING

          static final String JOB_EXECUTION_RUNNING

      See Also:
        Constant Field Values

    - #### JOB_INSTANCE_STATUS

          static final String JOB_INSTANCE_STATUS

      See Also:
        Constant Field Values

    - #### JOB_INSTANCE_FROM_EXECUTION

          static final String JOB_INSTANCE_FROM_EXECUTION

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_CREATE

          static final String JOB_EXECUTION_CREATE

      See Also:
        Constant Field Values

    - #### JOB_EXECUTION_MOST_RECENT

          static final String JOB_EXECUTION_MOST_RECENT

      See Also:
        Constant Field Values

    - #### DELETE_JOB_EXECUTION

          static final String DELETE_JOB_EXECUTION

      See Also:
        Constant Field Values

    - #### DELETE_JOB_EXECUTION_UNTIL

          static final String DELETE_JOB_EXECUTION_UNTIL

      See Also:
        Constant Field Values

    - #### STEP_EXECUTION_COLUMNS

          static final String[] STEP_EXECUTION_COLUMNS

    - #### CREATE_STEP_EXECUTION

          static final String CREATE_STEP_EXECUTION

      See Also:
        Constant Field Values

    - #### STEPS_FROM_EXECUTION

          static final String STEPS_FROM_EXECUTION

      See Also:
        Constant Field Values

    - #### STEP_FROM_ID

          static final String STEP_FROM_ID

      See Also:
        Constant Field Values

    - #### STEP_EXECUTION_CREATE

          static final String STEP_EXECUTION_CREATE

      See Also:
        Constant Field Values

    - #### STEP_EXECUTION_UPDATE_STATUS

          static final String STEP_EXECUTION_UPDATE_STATUS

      See Also:
        Constant Field Values

    - #### STEP_EXECUTION_UPDATE

          static final String STEP_EXECUTION_UPDATE

      See Also:
        Constant Field Values

    - #### STEP_EXECUTION_BY_INSTANCE_AND_STEP

          static final String STEP_EXECUTION_BY_INSTANCE_AND_STEP

      See Also:
        Constant Field Values

    - #### DELETE_STEP_EXECUTION

          static final String DELETE_STEP_EXECUTION

      See Also:
        Constant Field Values

    - #### DELETE_STEP_EXECUTION_UNTIL

          static final String DELETE_STEP_EXECUTION_UNTIL

      See Also:
        Constant Field Values